html {
    height: 100%;
    width: 100%;
}

.bodyIndex, .end {
    font-family: 'Syne Mono', monospace;
    margin: 0;
    overflow: hidden;
    /* This code is for non-blurry pixels on the canvas : */
    image-rendering: -moz-crisp-edges;
    image-rendering: -webkit-crisp-edges;
    image-rendering: pixelated;
    image-rendering: crisp-edges;
}

/* 
Index css
*/

.bodyIndex {
    background: url(../images/bibimbap.png);
    background-size:50%;
    background-repeat: no-repeat;
    background-position: top;
    background-color: black;
}

.h1Index {
    color: violet;
    font-size: 3.5em;
    margin-left: 2em;
}

.index {
    text-align: center;
    background-color: gray;
    margin: auto;
    width: 60%;
    border: none;
   top: 90%;
   left: 50%;
   transform: translate(-50%, -50%);
   position: absolute;
}

.index label,
.index input {
    font-size: 2em;
    color: blue;
    font-weight: bold;
}

.index input[type="text"] {
    width: 10em;
}


/*
    Game css
*/
.record, .timer, .name {
    position: absolute;
    top: 10px;
    font-size : 25px;
    font-weight: bold;
    letter-spacing: 5px;
}

.record {
    left: 50px;
    color: green;
}

.timer {
    right: 50px;
    font-size: 2em;
    color: purple;
}

.name {
    left: 12%;
    color: white;
}

.name::before {
    content: "Good Luck ";
}

.name::after {
    content: " !";
}

/*
End page with scores
*/

.end{
    font-size: 153%;
    font-weight: bold;
    text-align: center;
    background:  linear-gradient(rgba(0, 0, 255, 0.5), rgba(255, 255, 0, 0.5)), url('/assets/images/bibimbap.png') no-repeat;
    background-size:cover;
    color: #000;
    text-shadow: 1px 1px 2px #fff;
}

.end table {
    margin: auto;
    width: 600px;
    height: 100px;
    max-height: 100px;
    overflow-y:scroll;
}

.end tr {
    height: 1em;
}
 
.end .scores {
    margin-top: 100px;
}
 
.end .endName {
    border-radius: 2px;
    padding: 5px;
    display: block;
    margin: 10px auto;
    font-size:20px;
    background-color: #fff;
    color: #000;
    text-align: center;
}
 
.end .submit {
    border-radius: 12px;
    padding: 50px;
    display: block;
    margin: 50px auto;
    font-size: 50px;
    background-color: rgb(129, 214, 44);
    cursor: pointer;
    color: #000;
}
.end .submit:hover {
    background-color: #f3f3f3;
}
